Skip to main content

Initialize seller boarding process

POST 

/v3/boarding/merchants/sellers/init

Initialize seller boarding process

Request

Header Parameters

    Api-Key stringrequired

    Unique key used to authenticate API requests.

    Signature stringrequired

    The Signature header is used to ensure the request’s body integrity and to confirm that its content has not changed.

    Accept stringrequired

    The Accept request HTTP header advertises which content types, expressed as MIME types, the client is able to understand. Can be set to */*.

    Content-Type stringrequired

    The Content-Type entity header is used to indicate the media type of the resource.

Body

required

Request body for init process

    nip stringrequired

    Polish tax identification number

    Possible values: >= 10 characters and <= 10 characters

    notificationUrl string

    The URL that the status notification will be sent to

    Possible values: <= 1000 characters

Responses

Created

Schema

    sellerId stringrequired

    Possible values: >= 15 characters and <= 15 characters, Value must match regular expression ^([a-zA-Z0-9]{3}(-[a-zA-Z0-9]{3}){3})$

    sellerApplicationUrl stringrequired

    Address to redirect the seller

    status stringrequired

    Possible values: [NEW]

Loading...